#ifndef MPARCONTAINER_H
#define MPARCONTAINER_H

#include "Magic.h"

#include <fstream.h>

#include "MTime.h"

class MParList;
class MFileDescr;

class MParContainer : public MTime
{
private:

public:
    MParContainer(const char *name=NULL, const char *title=NULL);
    ~MParContainer();

    virtual Bool_t ReInit(MParList *pList)
    {
        //
        // Reinitialize this container (eg resize)
        // return kTRUE if no problems occured, else return kFALSE
        //
        return kTRUE;
    }

    virtual MParContainer *New();

    virtual Bool_t IsBuffer()
    {
        return kFALSE;
    }

    void GetEventFromMagicFile(fstream &fin);
    void PutEventToMagicFile(fstream &fout);

    void GetEventFromAsciiFile(fstream &fin);
    void PutEventToAsciiFile(fstream &fout);

    ClassDef(MParContainer, 1)
};

#endif

